=== debian/changelog ===
micro (1.4.1-2) unstable; urgency=medium

  * Source-only upload

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 28 Dec 2019 21:45:33 +0530

micro (1.4.1-1) unstable; urgency=medium

  [ Raju Devidas, Jongmin Kim ]
  * Initial release (Closes: #888813)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 25 Dec 2019 11:59:59 +0530
