=== debian/control ===
Source: micro
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Raju Devidas <rajudev@disroot.org>,
           Utkarsh Gupta <guptautkarsh2102@gmail.com>
Section: editors
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-go-errors-errors-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-yuin-gopher-lua-dev,
               golang-github-zyedidia-clipboard-dev,
               golang-github-zyedidia-glob-dev,
               golang-github-zyedidia-tcell-dev,
               golang-layeh-gopher-luar-dev,
               golang-yaml.v2-dev,
               golang-github-zyedidia-terminal-dev,
               golang-github-flynn-json5-dev,
               golang-github-zyedidia-pty-dev,
               golang-github-robertkrimen-otto-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
Homepage: https://micro-editor.github.io
XS-Go-Import-Path: github.com/zyedidia/micro
Rules-Requires-Root: no

Package: micro
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: xclip
Built-Using: ${misc:Built-Using}
Description: modern and intuitive terminal-based text editor
 micro is a terminal-based text editor that aims to be easy to use and
 intuitive, while also taking advantage of the full capabilities of
 modern terminals.
 .
 As the name indicates, micro aims to be somewhat of a successor to the
 nano editor by being easy to install and use.
