## micro 2.0.0

=== debian/changelog ===
micro (2.0.0-2) unstable; urgency=medium

  * Tighten dependency on golang-github-zyedidia-tcell-dev

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 13 Feb 2020 23:06:50 +0530

micro (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Add patch to use original fork
  * Update d/copyright wrt 2.0.0
  * Fix d/control wrt cme
  * Use @d.o address
  * Add dependency on golang-github-kballard-go-shellquote-dev

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 12 Feb 2020 06:09:16 +0530
