=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: micro
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
-           Utkarsh Gupta <guptautkarsh2102@gmail.com>
+           Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -19,19 +19,20 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev,
+               golang-github-zyedidia-tcell-dev (>= 0.0~git20200210.f7f063a),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
+               golang-github-kballard-go-shellquote-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/zyedidia/micro
-Rules-Requires-Root: no
 
 Package: micro
 Architecture: any
