=== debian/changelog ===
micro (2.0.1-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 20 Jan 2023 15:03:45 +0100

micro (2.0.1-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:02:29 +0200

micro (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Tighten dependency on golang-github-zyedidia-tcell-dev
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 22 Feb 2020 16:53:49 +0530
