=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: micro
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
@@ -19,7 +20,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 0.0~git20200210.f7f063a),
+               golang-github-zyedidia-tcell-dev (>= 1.4.4),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
