## micro 2.0.3

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,19 @@
 ADDITIONAL_GO_LINKER_FLAGS = $(shell GOOS=$(shell go env GOHOSTOS) \
 	GOARCH=$(shell go env GOHOSTARCH))
 GOBIN ?= $(shell go env GOPATH)/bin
-GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)' -X github.com/zyedidia/micro/internal/util.Debug=OFF
+GOVARS = -X github.com/zyedidia/micro/internal/util.Version=$(VERSION) -X github.com/zyedidia/micro/internal/util.CommitHash=$(HASH) -X 'github.com/zyedidia/micro/internal/util.CompileDate=$(DATE)'
+DEBUGVAR = -X github.com/zyedidia/micro/internal/util.Debug=ON
+VSCODE_TESTS_BASE_URL = 'https://raw.githubusercontent.com/microsoft/vscode/e6a45f4242ebddb7aa9a229f85555e8a3bd987e2/src/vs/editor/test/common/model/'
 
 # Builds micro after checking dependencies but without updating the runtime
 build:
 	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 build-dbg:
-	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
+	go build -ldflags "-s -w $(ADDITIONAL_GO_LINKER_FLAGS) $(DEBUGVAR)" ./cmd/micro
+
+build-tags: fetch-tags
+	go build -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)" ./cmd/micro
 
 # Builds micro after building the runtime and checking dependencies
 build-all: runtime build
@@ -35,6 +40,9 @@
 install-quick:
 	go install -ldflags "-s -w $(GOVARS) $(ADDITIONAL_GO_LINKER_FLAGS)"  ./cmd/micro
 
+fetch-tags:
+	git fetch --tags
+
 # Builds the runtime
 runtime:
 	git submodule update --init
@@ -44,8 +52,20 @@
 	mv runtime.go internal/config
 	gofmt -w internal/config/runtime.go
 
+testgen:
+	mkdir -p tools/vscode-tests
+	cd tools/vscode-tests && \
+	curl --remote-name-all $(VSCODE_TESTS_BASE_URL){editableTextModelAuto,editableTextModel,model.line}.test.ts
+	tsc tools/vscode-tests/*.ts > /dev/null; true
+	go run tools/testgen.go tools/vscode-tests/*.js > buffer_generated_test.go
+	mv buffer_generated_test.go internal/buffer
+	gofmt -w internal/buffer/buffer_generated_test.go
+
 test:
 	go test ./internal/...
 
+bench:
+	go test -bench=. ./internal/...
+
 clean:
 	rm -f micro
