=== debian/changelog ===
micro (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
    - Support +LINE:COL flag syntax for cursor position (Closes: #953427)
  * Make d/watch cleaner
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 16 Apr 2020 17:53:55 +0530

micro (2.0.2-3) unstable; urgency=medium

  * Tweak d/rules to just show the upstream version and not the Debian revision
  * Use DEB_VERSION from /usr/share/dpkg/pkg-info.mk
  * Refresh patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 09 Apr 2020 16:26:10 +0530

micro (2.0.2-2) unstable; urgency=medium

  * Fix micro versioning issue (Closes: #953400)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 17 Mar 2020 03:32:17 +0530

micro (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
    - Don't create log.txt (Closes: #952283)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 29 Feb 2020 01:24:14 +0530
