=== debian/watch ===
version=4
https://github.com/zyedidia/micro/releases .*/v?(\d\S*)\.tar\.gz
