=== debian/changelog ===
micro (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Include v2 in the path
  * Fix d/watch to fetch the right tarball
  * Refresh d/patches
  * Tighten dependency on golang-github-zyedidia-tcell-dev
  * Bump debhelper-compat to 13

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 29 May 2020 13:03:44 +0530
