=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: micro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Raju Devidas <rajudev@disroot.org>,
            Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
@@ -20,7 +19,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.4),
+               golang-github-zyedidia-tcell-dev (>= 1.4.5),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
