## micro 2.0.6

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 # Builds the runtime
 runtime:
 	git submodule update --init
+	rm -f runtime/syntax/*.hdr
 	go run runtime/syntax/make_headers.go runtime/syntax
 	go build -o tools/bindata ./tools/go-bindata
 	tools/bindata -pkg config -nomemcopy -nometadata -o runtime.go runtime/...
@@ -63,6 +64,7 @@
 
 test:
 	go test ./internal/...
+	go test ./cmd/...
 
 bench:
 	for i in 1 2 3; do \
@@ -79,7 +81,7 @@
 	for i in 1 2 3; do \
 		go test -bench=. ./internal/...; \
 	done > benchmark_results
-	benchstat benchmark_results_baseline benchmark_results
+	benchstat -alpha 0.15 benchmark_results_baseline benchmark_results
 
 clean:
 	rm -f micro
