=== debian/changelog ===
micro (2.0.6-2) unstable; urgency=medium

  * Revert "Include v2 in the path"
    - as it re-introduces the problem as described
      in #953400.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 29 Jun 2020 21:51:46 +0530

micro (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
  * Tighten dependency on tcell to 1.4.8 (Closes: #961853)
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 25 Jun 2020 16:04:56 +0530
