=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-clipboard-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.5),
+               golang-github-zyedidia-tcell-dev (>= 1.4.8),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
