=== debian/changelog ===
micro (2.0.9-1ubuntu0.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:26:09 +0000

micro (2.0.9-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 14:56:53 +0530

micro (2.0.9-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 19:24:28 +0100

micro (2.0.9-1build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:54:05 -0600

micro (2.0.9-1) experimental; urgency=medium

  * New upstream version 2.0.9
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Jun 2021 05:20:41 +0530
