=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: micro
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Raju Devidas <rajudev@disroot.org>,
-           Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -17,15 +16,17 @@
                golang-github-sergi-go-diff-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
-               golang-github-zyedidia-clipboard-dev,
+               golang-github-zyedidia-clipboard-dev (>= 1.0.3),
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 1.4.8),
+               golang-github-zyedidia-tcell-dev (>= 2.0.6),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
                golang-github-kballard-go-shellquote-dev,
+               golang-github-xo-terminfo-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
