## micro 2.0.11

=== debian/changelog ===
micro (2.0.11-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:49 +1200

micro (2.0.11-3) unstable; urgency=medium

  * Team Upload.
  * De-vendor zyedidia-clipper, use the debian-packaged one

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 00:08:38 +0530

micro (2.0.11-2) unstable; urgency=medium

  * Team Upload.
  * Generate required runtime assets to preserve
    highlighting in the statically compiled binary
    (Closes: #1033415)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Apr 2023 00:38:03 +0530

micro (2.0.11-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0.11 (Refresh patches)
  * Fix d/watch to pickup correct version from github
  * d/rules:
    + Install some extra modules
    + Remove un-needed additional go flags
  * Vendor an ext module which is unpackaged at the moment
  * Add micro's desktop as well (with icon)
  * Add maintainer scripts to update editor alternatives
    after installation and prior to removal (Closes: #977458)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Feb 2023 00:52:41 +0530
