=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: micro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -16,11 +15,11 @@
                golang-github-sergi-go-diff-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
-               golang-github-zyedidia-clipboard-dev (>= 1.0.3),
                golang-github-zyedidia-glob-dev,
                golang-github-zyedidia-tcell-dev (>= 2.0.6),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
+               golang-github-zyedidia-clipper-dev,
                golang-github-zyedidia-terminal-dev,
                golang-github-flynn-json5-dev,
                golang-github-zyedidia-pty-dev,
@@ -28,7 +27,7 @@
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
