=== debian/rules ===
#!/usr/bin/make -f

# Export DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# Linker variables from upstream (micro) Makefile
export VERSION := $(shell echo $(DEB_VERSION) | cut -d'-' -f1)

# Extra plugins that need installation
export DH_GOLANG_INSTALL_EXTRA := runtime/colorschemes runtime/help runtime/plugins runtime/syntax

# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
export CGO_ENABLED = 0

# Define build target
export DH_GOLANG_BUILDPKG := github.com/zyedidia/micro/cmd/micro

%:
	dh $@ --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	sed -i -e 's|Icon=micro|Icon=/usr/share/micro/micro-logo-mark.svg|g' assets/packaging/micro.desktop

override_dh_auto_build:
	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..
	dh_auto_build -- -buildmode=pie \
	-ldflags="-extldflags -Wl,-z,now -s -w -X 'github.com/zyedidia/micro/internal/util.Version=$(VERSION)'"
# Adding CompileDate is bad reproducibility and
# adding CommitHash is redundant as we don't use that to build a package.

override_dh_auto_install:
	dh_auto_install -- --no-source
