=== debian/changelog ===
micro (2.0.13-1) unstable; urgency=medium

  [ Bo YU ]
  * New upstream version 2.0.13
  * rebase patch
  * switch to creack/pty in B-D
  * Add versioned golang-github-zyedidia-terminal-dev in B-D

  [ Nilesh Patra ]
  * Add versioned B-D on golang-github-zyedidia-tcell
  * Add patch instead of configure rule to change Icon path
    to debian location (Closes: #1047981)
  * Remove NoDisplay field from desktop file
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Oct 2023 19:53:41 +0530
