=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: micro
 Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -16,13 +17,13 @@
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 2.0.6),
+               golang-github-zyedidia-tcell-dev (>= 2.0.10),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-clipper-dev,
-               golang-github-zyedidia-terminal-dev,
+               golang-github-zyedidia-terminal-dev (>=0.0~git20230315.4b3bcf6),
                golang-github-flynn-json5-dev,
-               golang-github-zyedidia-pty-dev,
+               golang-github-creack-pty-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
