=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
-execute_before_dh_auto_configure:
-	sed -i -e 's|Icon=micro|Icon=/usr/share/micro/micro-logo-mark.svg|g' assets/packaging/micro.desktop
-
 override_dh_auto_build:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..
 	dh_auto_build -- -buildmode=pie \
