=== debian/watch ===
version=4
https://github.com/zyedidia/micro/tags .*/v@ANY_VERSION@.tar.gz
