## micro 2.0.14

=== debian/changelog ===
micro (2.0.14-1) unstable; urgency=medium

  * New upstream version 2.0.14
  * Add uversionmangle to convert -rc to ~rc

 -- Nilesh Patra <nilesh@debian.org>  Wed, 02 Oct 2024 16:17:08 +0530

micro (2.0.13-2) unstable; urgency=medium

  * Do not disable CGO (Closes: #1069475)
    + There is not much benefit here to disable CGO given
      that micro does not have CGO code and the difference
      in the binary is very minimal.
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 May 2024 12:24:47 +0530
