=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
                golang-github-robertkrimen-otto-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
