=== debian/watch ===
version=4
opts="\
uversionmangle=s/\-rc/~rc/" \
https://github.com/zyedidia/micro/tags .*/v@ANY_VERSION@.tar.gz
