=== debian/changelog ===
micro (2.0.15-2) unstable; urgency=medium

  * Drop patches to use original packages instead of forks
  * Vendor micro-editor/{json5,tcell/v2} as well -- add copyrights

 -- Nilesh Patra <nilesh@debian.org>  Sat, 17 Jan 2026 21:48:49 +0530

micro (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15
  * Switch to Static-Built-Using
  * Refresh patches
  * d/watch: move to version 5
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * Drop Priority: optional
  * Vendor github.com/micro-editor/terminal

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Jan 2026 23:09:44 +0530
