=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: editors
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
@@ -17,22 +16,21 @@
                golang-github-smartystreets-goconvey-dev,
                golang-github-yuin-gopher-lua-dev,
                golang-github-zyedidia-glob-dev,
-               golang-github-zyedidia-tcell-dev (>= 2.0.10),
                golang-layeh-gopher-luar-dev,
                golang-yaml.v2-dev,
                golang-github-zyedidia-clipper-dev,
                golang-github-zyedidia-terminal-dev (>=0.0~git20230315.4b3bcf6),
-               golang-github-flynn-json5-dev,
                golang-github-creack-pty-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-xo-terminfo-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-robertkrimen-otto-dev
-Standards-Version: 4.7.0
+# Build dep of dependencies
+               golang-github-gdamore-encoding-dev,
+               golang-github-lucasb-eyer-go-colorful-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/micro
 Vcs-Git: https://salsa.debian.org/go-team/packages/micro.git
 Homepage: https://micro-editor.github.io
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/zyedidia/micro
 
 Package: micro
@@ -40,7 +38,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: xclip
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: modern and intuitive terminal-based text editor
  micro is a terminal-based text editor that aims to be easy to use and
  intuitive, while also taking advantage of the full capabilities of
