=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,18 @@
 # Extra plugins that need installation
 export DH_GOLANG_INSTALL_EXTRA := runtime/colorschemes runtime/help runtime/plugins runtime/syntax
 
-# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
-export CGO_ENABLED = 0
-
 # Define build target
 export DH_GOLANG_BUILDPKG := github.com/zyedidia/micro/cmd/micro
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+execute_before_dh_auto_configure:
+	cp -av $(CURDIR)/debian/vendor $(CURDIR)
+
+override_dh_clean:
+	dh_clean
+	rm -fr vendor/
 
 override_dh_auto_build:
 	cd obj-$(DEB_BUILD_GNU_TYPE) && GOCACHE=/tmp/gocache GO111MODULE=off GOPATH=$$(pwd) go generate github.com/zyedidia/micro/runtime && cd ..
