=== debian/watch ===
Version: 5

Template: Github
Owner: zyedidia
Project: micro
UVersion-Mangle: s/-rc/~rc/
